Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1324303

1. Proposed title of this feature request

-> [RFE]Cannot add config_group to hostgroup via API

3. What is the nature and description of the request?  

"As per internal table structure and can see that hostgroup is linked with puppet_class and puppet

_class is linked with config_group.

 Currently there is now way to link hostgroup with config_group.

This will qualify for a new  RFE for API support to add config_group in hostgroup."

----

Not able to see how to assign a config_group to a host or host_group in the API.

When I did it via WebUI, it seems to me the host_group is linked with the puppetclasses rather than the config_group. e.g:

GET https://&lt;foreman&gt;/api/v2/config_groups/1

{

"id": 1,

"name": "rbs-puppet-run",

"created_at": "2016-03-10T16:01:54Z",

"updated_at": "2016-03-11T13:18:33Z",

"puppetclasses": [         {

"id": 497,

"name": "cis::el7all",

"module_name": "cis"

}

]

}

GET https://&lt;foreman&gt;/api/hostgroups/12

{

"name": "rhel7-snp-client-dev",

"id": 12,

"subnet_id": null,

"operatingsystem_id": 1,

"domain_id": null,

"environment_id": 27,

"ancestry": null,

"parameters": {

"kt_activation_keys": "ak-ccv-rhel7-snp-client-dev"

},

"puppetclass_ids": [
497

]

}

---------

4. Why does the customer need this? (List the business requirements here)  

-> To use API method

 
5. How would the customer like to achieve this? (List the functional requirements here)

 
6. For each functional requirement listed, specify how Red Hat and the customer can test to confir

m the requirement is successfully implemented.  

-> yes

 
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  

-> No . 

cu has referred earlier -   https://bugzilla.redhat.com/show_bug.cgi?id=1320091

 
8. Does the customer have any specific timeline dependencies and which release would they like to 

target (i.e. RHEL5, RHEL6)?  

-> No but asap

 
9. Is the sales team involved in this request and do they have any additional input?  

-> No

 
10. List any affected packages or components.

 
11. Would the customer be able to assist in testing this functionality if implemented?  

-> Yes

 Description of problem:

Version-Release number of selected component (if applicable):

Satellite 6.1

How reproducible:

Always

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Additional info:

History

#1 - 04/19/2016 01:39 PM - Bryan Kearney

- Status changed from New to Duplicate

Dupe of http://projects.theforeman.org/issues/7520

#2 - 04/10/2018 12:35 PM - Tomer Brisker

- Description updated

- Private changed from No to Yes

#3 - 04/10/2018 12:36 PM - Tomer Brisker

- Private changed from Yes to No
